DK API 文档

douyin 11

15 个接口

GETfetch one video danmaku

GET https://dkai.store/api/v1/douyin/web/fetch_one_video_danmaku

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
durationquery必填
end_timequery必填
start_timequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_one_video_danmaku?item_id=VALUE&duration=VALUE&end_time=VALUE&start_time=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video v2

GET https://dkai.store/api/v1/douyin/web/fetch_one_video_v2

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_one_video_v2?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch query user

POST https://dkai.store/api/v1/douyin/web/fetch_query_user

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_query_user'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch series aweme

GET https://dkai.store/api/v1/douyin/web/fetch_series_aweme

1 积分 / 成功调用

参数位置要求说明
offsetquery必填
countquery必填
content_typequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_series_aweme?offset=VALUE&count=VALUE&content_type=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user fans list

GET https://dkai.store/api/v1/douyin/web/fetch_user_fans_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_fans_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user following list

GET https://dkai.store/api/v1/douyin/web/fetch_user_following_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_following_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch user like videos

POST https://dkai.store/api/v1/douyin/web/fetch_user_like_videos

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user live info by uid

GET https://dkai.store/api/v1/douyin/web/fetch_user_live_info_by_uid

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_live_info_by_uid?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user live videos

GET https://dkai.store/api/v1/douyin/web/fetch_user_live_videos

1 积分 / 成功调用

参数位置要求说明
webcast_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_live_videos?webcast_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user live videos by room id v2

GET https://dkai.store/api/v1/douyin/web/fetch_user_live_videos_by_room_id_v2

1 积分 / 成功调用

参数位置要求说明
room_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_live_videos_by_room_id_v2?room_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user live videos by sec uid

GET https://dkai.store/api/v1/douyin/web/fetch_user_live_videos_by_sec_uid

1 积分 / 成功调用

参数位置要求说明
sec_uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_live_videos_by_sec_uid?sec_uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user mix videos

GET https://dkai.store/api/v1/douyin/web/fetch_user_mix_videos

1 积分 / 成功调用

参数位置要求说明
mix_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_mix_videos?mix_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user post videos

GET https://dkai.store/api/v1/douyin/web/fetch_user_post_videos

1 积分 / 成功调用

参数位置要求说明
sec_user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_post_videos?sec_user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user profile by short id

GET https://dkai.store/api/v1/douyin/web/fetch_user_profile_by_short_id

1 积分 / 成功调用

参数位置要求说明
short_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_profile_by_short_id?short_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。